D_PATH(9)

NAME
d_path - return the path of a dentry

SYNOPSIS

char * d_path(const struct path * path, char * buf, int buflen);

ARGUMENTS

path
    path to report

buf
    buffer to return value in

buflen
    buffer length

DESCRIPTION

Convert a dentry into an ASCII path name. If the entry has been deleted the string “ (deleted)” is appended. Note that this is ambiguous.

Returns a pointer into the buffer or an error code if the path was too long. Note: Callers should use the returned pointer, not the passed in buffer, to use the name! The implementation often starts at an offset into the buffer, and may leave 0 bytes at the start.

“buflen” should be positive.

COPYRIGHT